#
# spec file for package python-overtest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-overtest
Version:        0.10.0
Release:        3.2
Url:            https://github.com/jd/overtest
Summary:        Suite of tools to manage daemons for testing
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/o/overtest/overtest-%{version}.tar.gz
BuildRequires:  python-pbr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Overtest is a suite of tools that allows to start and stop daemons for
a quick throw-away usage. This is typically useful when needing these
daemons to run integration testing.

%prep
%setup -q -n overtest-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{_bindir}/overtest
%{_datadir}/overtest/
%{python_sitelib}/overtest-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Feb  4 2016 aplanas@suse.com
- Initial package (version 0.10.0)
